Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ATIVertexStreams

    java.lang.Object
      org.lwjgl.opengl.ATIVertexStreams

    public final class ATIVertexStreams

extends java.lang.Object

Field Summary
`static int` | `GL_MAX_VERTEX_STREAMS_ATI`
`static int` | `GL_VERTEX_SOURCE_ATI`
`static int` | `GL_VERTEX_STREAM0_ATI`
`static int` | `GL_VERTEX_STREAM1_ATI`
`static int` | `GL_VERTEX_STREAM2_ATI`
`static int` | `GL_VERTEX_STREAM3_ATI`
`static int` | `GL_VERTEX_STREAM4_ATI`
`static int` | `GL_VERTEX_STREAM5_ATI`
`static int` | `GL_VERTEX_STREAM6_ATI`
`static int` | `GL_VERTEX_STREAM7_ATI`

Method Summary
`static void` | `glClientActiveVertexStreamATI(int stream)`
`static void` | `glNormalStream3bATI(int stream, byte x, byte y, byte z)`
`static void` | `glNormalStream3dATI(int stream, double x, double y, double z)`
`static void` | `glNormalStream3fATI(int stream, float x, float y, float z)`
`static void` | `glNormalStream3iATI(int stream, int x, int y, int z)`
`static void` | `glNormalStream3sATI(int stream, short x, short y, short z)`
`static void` | `glVertexBlendEnvfATI(int pname, float param)`
`static void` | `glVertexBlendEnviATI(int pname, int param)`
`static void` | `glVertexStream2dATI(int stream, double x, double y)`
`static void` | `glVertexStream2fATI(int stream, float x, float y)`
`static void` | `glVertexStream2iATI(int stream, int x, int y)`
`static void` | `glVertexStream2sATI(int stream, short x, short y)`
`static void` | `glVertexStream3dATI(int stream, double x, double y, double z)`
`static void` | `glVertexStream3fATI(int stream, float x, float y, float z)`
`static void` | `glVertexStream3iATI(int stream, int x, int y, int z)`
`static void` | `glVertexStream3sATI(int stream, short x, short y, short z)`
`static void` | `glVertexStream4dATI(int stream, double x, double y, double z, double w)`
`static void` | `glVertexStream4fATI(int stream, float x, float y, float z, float w)`
`static void` | `glVertexStream4iATI(int stream, int x, int y, int z, int w)`
`static void` | `glVertexStream4sATI(int stream, short x, short y, short z, short w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_MAX_VERTEX_STREAMS_ATI

    public static final int GL_MAX_VERTEX_STREAMS_ATI

See Also:
  Constant Field Values

### GL_VERTEX_SOURCE_ATI

    public static final int GL_VERTEX_SOURCE_ATI

See Also:
  Constant Field Values

### GL_VERTEX_STREAM0_ATI

    public static final int GL_VERTEX_STREAM0_ATI

See Also:
  Constant Field Values

### GL_VERTEX_STREAM1_ATI

    public static final int GL_VERTEX_STREAM1_ATI

See Also:
  Constant Field Values

### GL_VERTEX_STREAM2_ATI

    public static final int GL_VERTEX_STREAM2_ATI

See Also:
  Constant Field Values

### GL_VERTEX_STREAM3_ATI

    public static final int GL_VERTEX_STREAM3_ATI

See Also:
  Constant Field Values

### GL_VERTEX_STREAM4_ATI

    public static final int GL_VERTEX_STREAM4_ATI

See Also:
  Constant Field Values

### GL_VERTEX_STREAM5_ATI

    public static final int GL_VERTEX_STREAM5_ATI

See Also:
  Constant Field Values

### GL_VERTEX_STREAM6_ATI

    public static final int GL_VERTEX_STREAM6_ATI

See Also:
  Constant Field Values

### GL_VERTEX_STREAM7_ATI

    public static final int GL_VERTEX_STREAM7_ATI

See Also:
  Constant Field Values

Method Detail

### glVertexStream2fATI

    public static void glVertexStream2fATI(int stream,
                                           float x,
                                           float y)

### glVertexStream2dATI

    public static void glVertexStream2dATI(int stream,
                                           double x,
                                           double y)

### glVertexStream2iATI

    public static void glVertexStream2iATI(int stream,
                                           int x,
                                           int y)

### glVertexStream2sATI

    public static void glVertexStream2sATI(int stream,
                                           short x,
                                           short y)

### glVertexStream3fATI

    public static void glVertexStream3fATI(int stream,
                                           float x,
                                           float y,
                                           float z)

### glVertexStream3dATI

    public static void glVertexStream3dATI(int stream,
                                           double x,
                                           double y,
                                           double z)

### glVertexStream3iATI

    public static void glVertexStream3iATI(int stream,
                                           int x,
                                           int y,
                                           int z)

### glVertexStream3sATI

    public static void glVertexStream3sATI(int stream,
                                           short x,
                                           short y,
                                           short z)

### glVertexStream4fATI

    public static void glVertexStream4fATI(int stream,
                                           float x,
                                           float y,
                                           float z,
                                           float w)

### glVertexStream4dATI

    public static void glVertexStream4dATI(int stream,
                                           double x,
                                           double y,
                                           double z,
                                           double w)

### glVertexStream4iATI

    public static void glVertexStream4iATI(int stream,
                                           int x,
                                           int y,
                                           int z,
                                           int w)

### glVertexStream4sATI

    public static void glVertexStream4sATI(int stream,
                                           short x,
                                           short y,
                                           short z,
                                           short w)

### glNormalStream3bATI

    public static void glNormalStream3bATI(int stream,
                                           byte x,
                                           byte y,
                                           byte z)

### glNormalStream3fATI

    public static void glNormalStream3fATI(int stream,
                                           float x,
                                           float y,
                                           float z)

### glNormalStream3dATI

    public static void glNormalStream3dATI(int stream,
                                           double x,
                                           double y,
                                           double z)

### glNormalStream3iATI

    public static void glNormalStream3iATI(int stream,
                                           int x,
                                           int y,
                                           int z)

### glNormalStream3sATI

    public static void glNormalStream3sATI(int stream,
                                           short x,
                                           short y,
                                           short z)

### glClientActiveVertexStreamATI

    public static void glClientActiveVertexStreamATI(int stream)

### glVertexBlendEnvfATI

    public static void glVertexBlendEnvfATI(int pname,
                                            float param)

### glVertexBlendEnviATI

    public static void glVertexBlendEnviATI(int pname,
                                            int param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.